|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Obsolete Members for QAbstractItemView

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QAbstractItemView class reference

### Protected Functions

- int horizontalStepsPerItem () const `(obsolete)`
- void setHorizontalStepsPerItem ( int steps ) `(obsolete)`
- void setVerticalStepsPerItem ( int steps ) `(obsolete)`
- int verticalStepsPerItem () const `(obsolete)`

- 2 protected functions inherited from QWidget

## Member Function Documentation

### int QAbstractItemView::horizontalStepsPerItem () const `[protected]`

Returns the horizontal scroll bar's steps per item.

See also setHorizontalStepsPerItem() and verticalStepsPerItem().

### void QAbstractItemView::setHorizontalStepsPerItem ( int steps ) `[protected]`

Sets the horizontal scroll bar's steps per item to steps.

This is the number of steps used by the horizontal scroll bar to represent the width of an item.

Note that if the view has a horizontal header, the item steps will be ignored and the header section size will be used instead.

See also horizontalStepsPerItem() and setVerticalStepsPerItem().

### void QAbstractItemView::setVerticalStepsPerItem ( int steps ) `[protected]`

Sets the vertical scroll bar's steps per item to steps.

This is the number of steps used by the vertical scroll bar to represent the height of an item.

Note that if the view has a vertical header, the item steps will be ignored and the header section size will be used instead.

See also verticalStepsPerItem() and setHorizontalStepsPerItem().

### int QAbstractItemView::verticalStepsPerItem () const `[protected]`

Returns the vertical scroll bar's steps per item.

See also setVerticalStepsPerItem() and horizontalStepsPerItem().